#!/bin/sh
# This is /root/Startup/mountpool.sh - ETP 15th May 2021 (New conditional clearance of log file)
#
#
# Shinobar's minidlna starter script is placed in /root/noob rather than init.d
# to permit the use of UUIDs which then in conjunction with a global environment variable
# allows for different media repositories to be easily targeted.
#
# The global environment variable is set by /etc/profile.d/dlna, the final line of which 
# O.O.T.B, targets the UUID of the vfat target USB2 repository stick.
#
# A utility to display and Change the DNLA Repository can be found at the bottom of the utility menu.
#
# 
sleep 10
mkdir -p /mnt/pool
mount -U $REPOSITORY /mnt/pool
if pgrep "minidlnad" > /dev/null
then
 exit
else
 sleep 10
 >/var/log/minidlna.log
 sleep 1
 . /root/noob/minidlna start &
fi
